package cn.com.ty.lift.system.user.controller;

import cn.com.ty.lift.system.entity.model.UserRequest;
import cn.com.ty.lift.system.user.service.impl.LoginService;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户登录
 */
@RestController
@RequestMapping("/login")
public class LoginController {

    @Autowired
    private LoginService loginService;

    /**
     * @description 用户注册
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户参数对象
     * @return
     */
    @RequestMapping("/register")
    public RestResponse register(UserRequest userRequest){
        return loginService.register(userRequest);
    }


}
